Looking for a trait to research?
--------------------------------

*Mer Guild Research Notes* (GRN) add-on allows you to automagically
share information about item traits you have researched with your
guildies. First it needs to gather the data, so whenever you log in
or finish researching a trait on a character, GRN updates its stored
per-character and aggregate research data.

You can enable guilds you want to share your research with under
*Settings -> Addon Settings -> Mer Guild Research Notes*. In guilds
where you have the *Edit Member Note* privilege, your member note
will be augmented with encoded research data, which other guild
members with GRN installed can decode. The data looks something like
`#!GRN:a1406417716:W+WxuzgxfRwV!` and should not be edited manually,
but you may insert arbitrary text before or after it.

When you open the research tab at a crafting station, your GRN-enabled
guilds will be scanned for member notes containing GRN data. Unknown
traits' tooltips will then be augmented with a list of people who have
the trait researched and have shared their GRN data.


Planned features
----------------

  * add option button to clear aggregate research
  * prune known traits from saved guild research
  * for the current account, don't show @Account OnlineChar (Guild)
    in tooltip, but only the name(s) of character(s) that have the
    trait researched
  * show how many traits a person has researched on a single character,
    in both unknown and known traits' tooltips - so that if you want
    a 6-trait-set Precise Bow, but don't have enough Bow traits
    researched, you can see who can craft it for you regargdless of
    whether you know how to make a regular Precise Bow


Unlicense and used libraries
----------------------------

  * merGuildResearchNotes files are placed in the public domain
    ([UNLICENSE](http://unlicense.org/UNLICENSE))
  * LibAddonMenu-2.0 files are © Ryan Lakanen (Seerah)
  * LibStub files are © Ryan Lakanen (Seerah)


ZeniMax mandated disclosure
---------------------------

This add-on is not created by, affiliated with or sponsored by ZeniMax
Media Inc. or its affiliates. The Elder Scrolls® and related logos are
registered trademarks or trademarks of ZeniMax Media Inc. in the United
States and/or other countries. All rights reserved.

