local function importFrom(module, ...)
    if select("#", ...) > 0 then
        local member = module[select(1, ...)]
        return member, importFrom(module, select(2, ...))
    end
end

local Module = {__call = importFrom}

local function newModule(modules, name)
    local module =
    {
        DEBUG_PREFIX = "GRN " .. name .. "."
    }
    setmetatable(module, Module)
    rawset(modules, name, module)
    return module
end


merGuildResearchNotes =
{
    AUTHOR = "merlight",
    VERSION = "0.9",
    MODULES = setmetatable({}, {__index = newModule})
}

