local myMODULES = merGuildResearchNotes.MODULES
local SavedVars = myMODULES.SavedVars

local getvalue = myMODULES.Utils.getvalue
local subtable = myMODULES.Utils.subtable

local g_savedVars
local g_crossAccount


function SavedVars.get(...)
    return getvalue(g_crossAccount, ...)
end


function SavedVars.init(name)
    g_savedVars = subtable(_G, name)
    g_crossAccount = subtable(g_savedVars, "&CrossAccount")
    setmetatable(SavedVars, {__index = g_crossAccount,
                             __newindex = g_crossAccount})
end


function SavedVars.sub(...)
    return subtable(g_crossAccount, ...)
end


function SavedVars.upgrade()
end

